package fr.velossity.sample.device;

import java.util.Dictionary;
import java.util.Hashtable;

import org.osgi.service.event.Event;

/**
 * Overrides Event class to facilitate meta-data settings for measurements.
 * @author C. Saint-Marcel
 * 
 */
public class Measurement extends Event {
	
	public Measurement(Device source, float value, String unit, long timestamp) {
		super("fr/velossity/measures/" + source.getIdentifier() , setProperties(source, value, unit, timestamp));
	}

	private static Dictionary setProperties(Device source, float value,
			String unit, long timestamp) {
		Dictionary dico = new Hashtable();
		dico.put("identifier", source.getIdentifier());
		dico.put("source", source);
		dico.put("value", Float.toString(value));
		dico.put("unit", unit);
		dico.put("timestamp", Long.toString(timestamp));
		return dico;
	}

	
	
}
